Bug 1509022 - Template instance provisioning via TSB fails sporadically
Summary: Template instance provisioning via TSB fails sporadically
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Templates
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.0
Assignee: Ben Parees
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-02 17:15 UTC by Dan Mace
Modified: 2017-11-28 08:28 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-08 16:57:57 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Dan Mace 2017-11-02 17:15:38 UTC
This bug is to track an issue discovered in an Origin test flake issue[1]. In CI, template instance provisioning can fail if the broker template instance and template instance are created very nearby in time. The root cause is a bug in GC which affects owner/dependent relationships where the owner is cluster scoped and the dependent is namespace scoped. In this case, broker template instance is cluster scoped, and template instance is namespace scoped.

I haven't verified the flake using actual service broker functionality in a cluster, but the CI test case is easy to reproduce in the Origin test suite and seems to indicate that instance provisioning will be flaky for end users while this bug exists.

The upstream issue[2] provides additional context.

[1] https://github.com/openshift/origin/issues/17085
[2] https://github.com/kubernetes/kubernetes/issues/54940

Comment 1 Ben Parees 2017-11-02 17:39:52 UTC
possible fix here:
https://github.com/openshift/origin/pull/17152

Comment 2 Ben Parees 2017-11-06 22:16:36 UTC
new fix is here:
https://github.com/openshift/origin/pull/17207

Comment 4 XiuJuan Wang 2017-11-08 10:06:33 UTC
Server https://172.16.120.33:8443
openshift v3.7.0-0.197.0
kubernetes v1.7.6+a08f5eeb62

templateinstance will be delay 5s after brokertemplateinstance created.
But I need verify with CI again.

Comment 5 XiuJuan Wang 2017-11-09 07:32:55 UTC
Also passed with e2e test.
openshift v3.7.0-0.197.0
kubernetes v1.7.6+a08f5eeb62

• [SLOW TEST:58.427 seconds]
[Conformance][templates] templateservicebroker end-to-end test
/root/origin/_output/local/go/src/github.com/openshift/origin/test/extended/templates/templateservicebroker_e2e.go:36
  
  /root/origin/_output/local/go/src/github.com/openshift/origin/test/extended/templates/templateservicebroker_e2e.go:360
    should pass an end-to-end test [Suite:openshift/conformance/parallel]
    /root/origin/_output/local/go/src/github.com/openshift/origin/test/extended/templates/templateservicebroker_e2e.go:371
------------------------------
Nov  9 02:22:23.068: INFO: Running AfterSuite actions on all node


Nov  9 02:21:24.732: INFO: Running AfterSuite actions on all node
Nov  9 02:22:23.099: INFO: Running AfterSuite actions on node 1


Ran 1 of 805 Specs in 59.174 seconds
SUCCESS! -- 1 Passed | 0 Failed | 0 Pending | 804 Skipped


Note You need to log in before you can comment on or make changes to this bug.